Documentation for Axxon PSIM 1.0.0-1.0.1.

Previous page Next page


General request format:

GET http://IP address:port/web2/secure/kartas/{plan}/layers/{base}/points/?type="OBJECT_TYPE"

Request parameters:

ParameterRequiredDescription
planNoMap ID
baseNoLayer ID
typeNoObject type

Request example:

GET http://127.0.0.1:8085/web2/secure/kartas/2/layers/2/points/?type=CAM

Response example:

Note

If the display type of the added object on the map is different from Image, then the request receives an empty response. See also Attaching objects to the layers of interactive map.

<points>
  <point>
    <id>CAM:1</id>
    <layerId>2</layerId>
    <mapId>2</mapId>
    <angle>0.0</angle>
    <geo_angle>0.0</geo_angle>
    <latitude>43.47727</latitude>
    <longitude>43.602381</longitude>
    <x>95.0</x>
    <y>329.0</y>
  </point>
</points>

Response parameters:

ParameterDescription
idObject ID in the format "TYPE:ID", for example "CAM:1"
layerIdLayer ID
mapIdMap ID

angle

Rotation angle of object icon

geo_angle

Viewing angle (for camera, see Configuring the camera viewing angle display on the Map)

latitude

Latitude (point coordinate). The parameter has a non-zero value if:

  1. An external map is used as the layer background (see Configuring the external Map server).
  2. The layer is bound to geo coordinates (see Configuring map binding to coordinate grid)

longitude

Longitude (point coordinate). 

The parameter has a non-zero value if:

  1. An external map is used as the layer background (see Configuring the external Map server).
  2. The layer is bound to geo coordinates (see Configuring map binding to coordinate grid)
xX coordinate of the upper left corner of the object icon
yY coordinate of the upper left corner of the object icon

The coordinate plane is attached to the layer as follows:

 

That is, x and y cannot be negative but can be fractional.

  • No labels